use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, PartialEq, Default, Serialize, Deserialize)]
pub(crate) struct Worker {
    pub(crate) full_name: String,
    pub(crate) deleted: bool,
}

impl Worker {
    #[cfg(test)]
    pub(crate) fn new(full_name: String) -> Self {
        Self {
            full_name: full_name.to_string(),
            deleted: false,
        }
    }
}
